# Assignment Operator

Set the value for local and global variables.

### @parent js/operators
 

Set or change the value of a variable

### Block Editor

![](/static/mb/antenna-0.png)

### Touch Develop

Use the assignment operator (:=) to set or change the value of a [local variable](/blocks/variables/var) or a [global variable](/js/data).

### Declare a variable

Declare a new *local* variable using the [var](/blocks/variables/var) statement and the assignment operator (`:=`). Like this:

```blocks
let num1 = 7
let name = "Joe"
```

The variable's name is on the left of the assignment operator (`:=`) and the variable's value is on the right:

*variable name* `:=` *value*

See [global variable](/js/data) for info on declaring a global variable.

### Change a variable

After a global or local variable is defined, use the assignment operator (`:=`) to change the variable's value.

```
g = 42
num1 = 42
```

### Notes

* Don't confuse the assignment operator `:=` with the equality operator `=`, which is used to compare values.
* You can use the assignment operator  `:=` with variables of each of the supported [types](/js/types).

### See also

[local variables](/reference/variables/var), [global variables](/js/data), [types](/js/types)

