# Hour of Code

learn how to run an Hour Of Code with the BBC micro:bit. #docs

The BBC micro:bit can be used to run an Hour Of Code™ events for beginner of all ages. This document provides a detailed guidance on how to prepare and deliver the event in your school.

## preparing the room

1) Computers

* Ensure that each participant will have **a computer connected to a BBC micro:bit board via a micro-USB cable**.

2) Internet

* Ensure that each computer has access to **internet**.

3) Website Access

* [https://www.microbit.co.uk](https://www.microbit.co.uk)

4) Raffle tickets and prizes (optional)

* Reward students with raffle tickets to keep them engaged. Finishing an activity or challenge on paper should equal a raffle ticket. Perform a raffle throughout the hour and give away lots of cheap prizes (candy is always a nice choice).

5) Music (optional)

* We recommend playing the latest hits (loudly) while the students are coding. It creates a playful atmosphere and makes the entire experience more enjoyable. Many web sites offer streaming music, but be sure to try it in advance as certain sites may be blocked on your network.

## preparing the student handouts

Print the following **activities** (1 handout per student):

* [answering machine](/lessons/answering-machine/activity)
* [happy birthday](/lessons/happy-birthday/activity)
* [love meter](/lessons/love-meter/activity)

Print the following **challenges** (1 handout per student):

* [answering machine](/lessons/answering-machine/challenges)
* [happy birthday](/lessons/happy-birthday/challenges)
* [love meter](/lessons/love-meter/challenges)

## Timeline

* ``00:00`` students enter the website address (see step 3)
* ``10:00`` [answering machine](/lessons/answering-machine/activity)
* ``25:00`` [happy birthday](/lessons/happy-birthday/activity)
* ``35:00`` [love meter](/lessons/love-meter/activity)
* ``55:00`` raffle
* ``60:00`` that's it!

## Follow up

After your Hour Of Code™, you will want to provide plenty of material for students to continue learning about coding. Here are some good places to start:

* [more challenges](/js/games) are available with BBC micro:bit Tutorials
* [the Quick Start Guide for Teachers](http://www.slideshare.net/Microsofteduk/bbc-microbit-guide-from-hodder-education) are available within BBC micro:bit

The 'Hour of Code™' is a nationwide initiative by [Computer Science Education Week](http://csedweek.org) and [Code.org](http://code.org) to introduce millions of students to one hour of computer science and computer programming.

