# glowing sword lesson

make a glowing sword.

## Topic

Fade Out

## Quick Links

* [activity](/lessons/glowing-sword/activity)
* [quiz](/lessons/glowing-sword/quiz)
* [quiz answers](/lessons/glowing-sword/quiz-answers)
* [challenges](/lessons/glowing-sword/challenges)
* [tutorial](/lessons/glowing-sword/tutorial)

## Class

Year 7

## Prior learning/place of lesson in scheme of work

Learn how to manipulate an image through **fade out**, `led->fade out` to gradually decrease the LED screen brightness until the LED lights are turned off. We will be learning how to fade an image using simple commands, such as plot image, fade out, pause, and fade in.

## What the teacher needs to know/QuickStart Computing Glossary

* Algorithm: An unambiguous set of rules or a precise step-bystep guide to solve a problem or achieve a particular objective.
* Computational thinking: Thinking about systems or problems in a way that allows computer systems to be used to model or solve these.
* Hardware: The physical systems and components of digital devices; see also software.
* Programmable toys: Robots designed for children to use, accepting input, storing short sequences of simple instructions and moving according to this stored program.
* Script: A computer program typically executed one line at a time through an interpreter, such as the instructions for a Scratch character.
* Sequence: To place program instructions in order, with each executed one after the other.
* Simulation: Using a computer to model the state and behaviour of real-world (or imaginary) systems, including physical or social systems; an integral part of most computer games.

## Documentation

* **plot image** : [read more...](/reference/led/plot-image)
* **fade out** : [read more...](/reference/led/fade-out)
* **pause** : [read more...](/reference/basic/pause)
* **fade in** : [read more...](/reference/led/fade-in)

## Resources

* Activity: [tutorial](/lessons/glowing-sword/tutorial)
* Activity: [quiz](/lessons/glowing-sword/quiz)
* Extended Activity: [challenges](/lessons/glowing-sword/challenges)

## Objectives

* learn how to plot an image
* learn how to gradually decrease the LED screen brightness until the LED lights are turned off
* pause your code for the specified number of milliseconds
* learn how to gradually increase the LED screen brightness until the LED lights are turned on

## Links to the National Curriculum Programmes of Study for Computing

## Progression Pathways / Computational Thinking Framework

#### Algorithms

* Uses diagrams to express solutions.(AB)
* Represents solutions using a structured notation (AL) (AB)

#### Programming & Development

* Creates programs that implement algorithms to achieve given goals (AL)
* Selects the appropriate data types(AL) (AB)

#### Information Technology

* Collects, organizes, and presents data and information in digital content (AB)
* Makes appropriate improvements to solutions based on feedback received, and can comment on the success of the solution (EV)
* Recognises ethical issues surrounding the application of information technology beyond school.

Computational Thinking Concept: AB = Abstraction; DE = Decomposition; AL = Algorithmic Thinking; EV = Evaluation; GE = Generalisation

## Activity

* time: 20 min.
* [tutorial](/lessons/glowing-sword/tutorial)
* [quiz](/lessons/lucky-7/quiz)

## Extended Activity

* time: 20 min.
* [challenges](/lessons/glowing-sword/challenges)

## Homework

* Extended Activity: [challenges](/lessons/glowing-sword/challenges)

## Intended follow on

Publish script to the classroom.

